summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Vincent Batts <vbatts@batts.mine.nu>2010-05-11 20:00:02 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:02 +0200
commitfc8edb20b756fad5d427f82942f8f2a7ff0d7709 (patch)
tree663d4492453d0e5bdc79783c575ce54328517f4c
parentbcb1912049855f87bb865c12ae85f2828caedbde (diff)
downloadslackbuilds-fc8edb20b756fad5d427f82942f8f2a7ff0d7709.tar.gz
slackbuilds-fc8edb20b756fad5d427f82942f8f2a7ff0d7709.tar.xz
desktop/Blokkal: Added to 12.0 repository
-rw-r--r--desktop/Blokkal/Blokkal.SlackBuild68
-rw-r--r--desktop/Blokkal/Blokkal.info8
-rw-r--r--desktop/Blokkal/README23
-rw-r--r--desktop/Blokkal/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/desktop/Blokkal/Blokkal.SlackBuild b/desktop/Blokkal/Blokkal.SlackBuild
new file mode 100644
index 0000000000..eb0c9cf5cc
--- /dev/null
+++ b/desktop/Blokkal/Blokkal.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for Blokkal
+
+# Written by Vincent Batts, vbatts@batts.mine.nu
+
+PRGNAM=Blokkal
+VERSION=0.0.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/Blokkal-$VERSION.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+# The Makefile is broken, and I don't have the patience to
+# unravel it right now, so...
+rm -rf $PKG/hicolor
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL README TODO doc/en/index.docbook \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/Blokkal/Blokkal.info b/desktop/Blokkal/Blokkal.info
new file mode 100644
index 0000000000..ea201b8407
--- /dev/null
+++ b/desktop/Blokkal/Blokkal.info
@@ -0,0 +1,8 @@
+PRGNAM="Blokkal"
+VERSION="0.0.3"
+HOMEPAGE="http://blokkal.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/blokkal/Blokkal-0.0.3.tar.bz2"
+MD5SUM="9b317d99fd3505d20bcee884913e68e7"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@batts.mine.nu"
+APPROVED="rworkman"
diff --git a/desktop/Blokkal/README b/desktop/Blokkal/README
new file mode 100644
index 0000000000..6286abfd8f
--- /dev/null
+++ b/desktop/Blokkal/README
@@ -0,0 +1,23 @@
+Blokkal is an extendable KDE Blogging Client that supports multiple protocols
+and blogging sites. The goal is to provide a uniform way to access the
+most-commonly-used blogging systems. It has been designed for a maximum of
+modularity allowing for easy extension.
+
+Features
+
+Blokkal is capable of creating new entries as well as loading and editing
+entries that have already been posted into a blog. Additionally, new
+entries can be posted into multiple blogs at the same time and entries can
+be previewed before being posted. A couple of formatting options help to
+apply some common text formattings while editing the HTML-code of an entry,
+while syntax-highlighting aids in ensuring correct code. There exist
+dialogs that help inserting links and images, which can be dragged and
+dropped into the editor from other applications such as webbrowsers.
+
+Currently the following protocols are supported:
+
+ * LiveJournal
+ * Blogger 1.0
+ * Blogger/GData
+ * MetaWeblog API
+ * MovableType
diff --git a/desktop/Blokkal/slack-desc b/desktop/Blokkal/slack-desc
new file mode 100644
index 0000000000..d2d6b291cd
--- /dev/null
+++ b/desktop/Blokkal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+Blokkal: Blokkal (a KDE blogging client)
+Blokkal:
+Blokkal: Blokkal is a KDE blogging client designed to support
+Blokkal: multiple protocols and blogging sites. The goal is to
+Blokkal: provide a uniform way to access the most commonly
+Blokkal: used blogging systems.
+Blokkal:
+Blokkal: Homepage: http://blokkal.sourceforge.net/
+Blokkal:
+Blokkal:
+Blokkal: